<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.41</b></p>
<ul class="maxwidth">';

// Ajout d'une colonne email dans la table _eleves
mysqli_query($bdd,"ALTER TABLE ".$prefix."_eleves ADD mail VARCHAR (200) DEFAULT NULL");
echo '<li>Ajout d\'une colonne <i>email</i> dans la table _eleves.</li>';

// Ajout d'une colonne auth_mail dans la table _eleves
mysqli_query($bdd,"ALTER TABLE ".$prefix."_eleves ADD auth_mail INT (11) DEFAULT NULL");
echo '<li>Ajout d\'une colonne <i>auth_mail</i> dans la table _eleves.</li>';

mysqli_query($bdd,"UPDATE ".$prefix."_eleves SET auth_mail = '0'");
echo '<li>Autorisation d\'e-mail désactivée par défaut dans la table _eleves.</li>';

// Ajout d'une colonne email dans la table _elevesmaj
mysqli_query($bdd,"ALTER TABLE ".$prefix."_elevesmaj ADD mail VARCHAR (200) DEFAULT NULL");
echo '<li>Ajout d\'une colonne <i>email</i> dans la table _elevesmaj.</li>';

// Gestion des sexes pour lisser vers F et M
mysqli_query($bdd,"UPDATE ".$prefix."_eleves SET sexe = 'F' WHERE sexe ='f'");
mysqli_query($bdd,"UPDATE ".$prefix."_eleves SET sexe = 'M' WHERE sexe ='m' OR sexe = 'G' OR sexe = 'g'");
mysqli_query($bdd,"UPDATE ".$prefix."_freq SET sexe = 'F' WHERE sexe ='f'");
mysqli_query($bdd,"UPDATE ".$prefix."_freq SET sexe = 'M' WHERE sexe ='m' OR sexe = 'G' OR sexe = 'g'");
echo '<li>Gestion des sexes pour lisser vers F et M uniquement (dans les tables _eleves et _freq).</li>';

// Ajout d'une colonne auth_freq dans la table _espaces (1 par défaut)
mysqli_query($bdd,"ALTER TABLE ".$prefix."_espaces ADD auth_freq INT (11) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_espaces SET auth_freq = '1'");
echo '<li>Ajout d\'une colonne <i>auth_freq</i> dans la table _espaces (1 par défaut).</li>';

// Suppression de fichiers obsolètes :

$ouverture = opendir("./js/");
$lecture = readdir($ouverture);
$filename = './js/jquery-3.5.1.js';
if (file_exists($filename)) {
	unlink ("./js/jquery-3.5.1.js");
}
$filename = './js/Chart.bundle.js';
if (file_exists($filename)) {
	unlink ("./js/Chart.bundle.js");
}
$filename = './js/Chart.bundle.min.js';
if (file_exists($filename)) {
	unlink ("./js/Chart.bundle.min.js");
}
$filename = './js/Chart.min.js';
if (file_exists($filename)) {
	unlink ("./js/Chart.min.js");
}
closedir($ouverture);
echo '<li>Suppression du fichier obsolète /js/jquery-3.5.1.js.</li></ul>';
echo '<li>Suppression du fichier obsolète /js/Chart.bundle.js.</li></ul>';
echo '<li>Suppression du fichier obsolète /js/Chart.bundle.min.js.</li></ul>';
echo '<li>Suppression du fichier obsolète /js/Chart.min.js.</li></ul>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.41' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.41.</li></ul>';
?>